Developers
API ReferenceTicket Settings

Sets ticket settings for instance.

PATCH
/ticket/settings

Sets ticket settings for instance.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The updated TicketSettings resource

  1. body
allowForAttachmentsOnEmailCreate?boolean|null
changeStatusInProgressOnMessageCreate?boolean|null

Response Body

TicketSettings resource updated

  1. response
allowForAttachmentsOnEmailCreate?boolean
changeStatusInProgressOnMessageCreate?boolean
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/ticket/settings' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "allowForAttachmentsOnEmailCreate": true,  "changeStatusInProgressOnMessageCreate": true}